# Uses of Class
org.jmol.modelsetbio.Monomer

Packages that use Monomer
Package
Description
org.jmol.modelsetbio
org.jmol.renderbio
org.jmol.shapebio

## Uses of Monomer in org.jmol.modelsetbio

Subclasses of Monomer in org.jmol.modelsetbio
Modifier and Type
Class
Description
`class`
`AlphaMonomer`
`class`
`AminoMonomer`
`class`
`CarbohydrateMonomer`
`class`
`NucleicMonomer`
`class`
`PhosphorusMonomer`
Fields in org.jmol.modelsetbio declared as Monomer
Modifier and Type
Field
Description
`Monomer[]`
BioPolymer.`monomers`
Methods in org.jmol.modelsetbio that return Monomer
Modifier and Type
Method
Description
`Monomer`
ProteinStructure.`findMonomer(BS bsAtoms, boolean isFirst)`
`protected Monomer`
Monomer.`set2(Chain chain, String group3, int seqcode, int firstAtomIndex, int lastAtomIndex, byte[] interestingAtomOffsets)`
`static Monomer`
NucleicMonomer.`validateAndAllocate(Chain chain, String group3, int seqcode, int firstAtomIndex, int lastAtomIndex, int[] specialAtomIndexes)`
Methods in org.jmol.modelsetbio with parameters of type Monomer
Modifier and Type
Method
Description
`int`
ProteinStructure.`getIndex(Monomer monomer)`
`protected boolean`
PhosphorusMonomer.`isCA2(Monomer possiblyPreviousMonomer)`
Constructors in org.jmol.modelsetbio with parameters of type Monomer
Modifier
Constructor
Description
`protected`
`BioPolymer(Monomer[] monomers, boolean hasStructure)`

## Uses of Monomer in org.jmol.renderbio

Fields in org.jmol.renderbio declared as Monomer
Modifier and Type
Field
Description
`protected Monomer[]`
BioShapeRenderer.`monomers`
`protected Monomer[]`
BioShapeRenderer.`monomers`
`protected Monomer[]`
BioShapeRenderer.`monomers`
`protected Monomer[]`
BioShapeRenderer.`monomers`
`protected Monomer[]`
BioShapeRenderer.`monomers`
`protected Monomer[]`
BioShapeRenderer.`monomers`
`protected Monomer[]`
BioShapeRenderer.`monomers`

## Uses of Monomer in org.jmol.shapebio

Fields in org.jmol.shapebio declared as Monomer
Modifier and Type
Field
Description
`Monomer[]`
BioShape.`monomers`